divert(-1)
dnl
dnl Updates: http://anfi.homeunix.net/sendmail/localtab.html
dnl
dnl Copyright (c) 2002 Andrzej Filip
dnl	All rights reserved.
dnl
dnl THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS``AS IS'' 
dnl AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
dnl THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
dnl PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR 
dnl CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
dnl EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
dnl PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
dnl PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY 
dnl OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
dnl (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE 
dnl USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH 
dnl DAMAGE. 
dnl
dnl THE AUTHOR NAME MUST BE QUOTED IN ANY WORK DERIVATED FROM THE WORK
dnl
dnl The file or works derivated from it may be included in 
dnl open source sendmail distribution under standard sendmail 
dnl open source license.
dnl
dnl $Log: localtable.m4,v $
dnl Revision 1.1  2007/04/13 18:56:14  anfi
dnl First version in  sourceforge CVS
dnl
dnl Revision 8.7  2004/09/06 13:51:17  anfi
dnl Fixed "not found" value; Removed @ prepended to lookup result.
dnl
dnl Revision 8.6  2004/08/05 11:37:54  anfi
dnl Less restrictive acceptance of lookup result
dnl
dnl Revision 8.5  2004/03/18 21:39:01  anfi
dnl Changed comments prefixes to dnl to avoid m4 expansions
dnl
dnl Revision 8.4  2004/03/15 09:14:28  anfi
dnl Added "Updates:" web link.
dnl

divert(0)
VERSIONID(`$Id: localtable.m4,v 1.1 2007/04/13 18:56:14 anfi Exp $')
divert(-1)

LOCAL_CONFIG
# Local table
# (used for selecting alternative local mailer)
Klocaltable ifelse(defn(`_ARG_'), `', DATABASE_MAP_TYPE MAIL_SETTINGS_DIR`localtable',
                 defn(`_ARG_'), `LDAP', `ldap -1 -v sendmailMTAMapValue -k (&(objectClass=sendmailMTAMapObject)(|(sendmailMTACluster=${sendmailMTACluster})(sendmailMTAHost=$j))(sendmailMTAMapName=localtable)(sendmailMTAKey=%0))',
                 `_ARG_')
LOCAL_RULESETS
SLocal_localaddr
# <localtable>
R$*			$: < $(localtable $1 $: $) > $1
R<> $+ + $+		$: < $(localtable $1+* $@ $2 $: $) > $1 + $2
R<> $+ + $+		$: < $(localtable $1   $@ $2 $: $) > $1 + $2
R< $~[ : $+ > $*	$# $1 $: $2
R< $* > $*		$: $2
# </localtable>
